#include "../Tests.h"
#include "core/Vector.h"

void coreTestTest() {
    CORE_TEST_BOOL(false, true);
    CORE_TEST_INT(0, 1);
    CORE_TEST_I64(0, 1);
    CORE_TEST_U64(0, 1);
    CORE_TEST_SIZE(0, 1);
    CORE_TEST_STRING("a", "b");
    CORE_TEST_FALSE(true);
    CORE_TEST_TRUE(false);
    CORE_TEST_NULL(&(int){0});
    CORE_TEST_NOT_NULL(nullptr);
    CORE_TEST_FLOAT(0.0f, 1.0f, 0.1f);

    CoreVector2 a = {0, 1};
    CoreVector2 b = {2, 3};
    CORE_TEST_V2(&a, &b);

    CoreIntVector2 ia = {0, 1};
    CoreIntVector2 ib = {2, 3};
    CORE_TEST_IV2(&ia, &ib);
    coreFinalizeTests();
}
