#ifndef CORE_ERROR_SIMULATOR_H
#define CORE_ERROR_SIMULATOR_H

#ifdef ERROR_SIMULATOR
extern bool coreFailFileClose;
extern bool coreFailTimeGet;
extern bool coreFailThreadInit;
extern bool coreFailMutexInit;
extern bool coreFailMutexLock;
extern bool coreFailMutexUnlock;
#define CORE_FILE_CLOSE_FAIL coreFailFile
#define CORE_TIME_GET_FAIL coreFailTimeGet
#define CORE_THREAD_INIT_FAIL coreFailThreadInit
#define CORE_MUTEX_INIT_FAIL coreFailMutexInit
#define CORE_MUTEX_LOCK_FAIL coreFailMutexLock
#define CORE_MUTEX_UNLOCK_FAIL coreFailMutexUnlock
#else
#define CORE_FILE_CLOSE_FAIL false
#define CORE_TIME_GET_FAIL false
#define CORE_THREAD_INIT_FAIL false
#define CORE_MUTEX_INIT_FAIL false
#define CORE_MUTEX_LOCK_FAIL false
#define CORE_MUTEX_UNLOCK_FAIL false
#endif

#endif
